#include "stdafx.h"
#include "PanelView.h"
#include "TreeView.h"

CBookmark_PanelView::CBookmark_PanelView(IReader_App* pApp, FSCRT_DOCUMENT pDocument)
{
	m_pApp = pApp;
	m_pDocument = pDocument;
	m_pTreeView = NULL;
}

CBookmark_PanelView::~CBookmark_PanelView()
{

}

BOOL CBookmark_PanelView::CreateTreeView(HWND hOwner)
{
	m_pTreeView = new CBookmark_TreeView(m_pApp, m_pDocument);
	if(!m_pTreeView->Create(NULL, 
		L"Bookmark", 
		FWS_ADDTOTITLE|WS_CHILD|WS_VISIBLE|WS_TABSTOP,
		CRect(0,0,500,500), CWnd::FromHandle(hOwner),
		ID_BOOKMARKPANELTOOL_TREEVIEW))
	{
		delete m_pTreeView;
		return FALSE;
	}
	return TRUE;
}

BOOL CBookmark_PanelView::DestroyTreeView()
{
	::DestroyWindow(m_pTreeView->GetSafeHwnd());
	delete m_pTreeView;
	m_pTreeView = NULL;
	return TRUE;
}

FSCRT_DOCUMENT CBookmark_PanelView::GetPDFDocument()
{
	return m_pDocument;
}

//Like Add Bookmark.
BOOL CBookmark_PanelView::AddItem()
{
	return FALSE;
}

// Quickly page locate
BOOL CBookmark_PanelView::SetPos(int nPage)
{
	return FALSE;
}

HWND CBookmark_PanelView::GetHwnd()
{
	if (m_pTreeView)
	{
		return m_pTreeView->GetSafeHwnd();
	}
	return NULL;
}

void CBookmark_PanelView::OnPanelActive()
{

}

BOOL CBookmark_PanelView::GetBDockBottom()
{
	return FALSE;
}

void CBookmark_PanelView::RotateView(int nRotate)
{

}