#ifndef _PANELVIEW_H_
#define _PANELVIEW_H_

class CBookmark_TreeView;
class CBookmark_PanelView : public IReader_PanelView
{
public:
	CBookmark_PanelView(IReader_App* pApp, FSCRT_DOCUMENT pDocument);
	virtual ~CBookmark_PanelView();

	//Like Add Bookmark.
	virtual BOOL AddItem();

	// Quickly page locate
	virtual BOOL SetPos(int nPage);

	virtual HWND GetHwnd();

	virtual void OnPanelActive();

	virtual BOOL GetBDockBottom();

	virtual void RotateView(int nRotate);

public:
	BOOL CreateTreeView(HWND hOwner);
	BOOL DestroyTreeView();
	FSCRT_DOCUMENT GetPDFDocument();
public:
	IReader_App* m_pApp;
	FSCRT_DOCUMENT m_pDocument;
	CBookmark_TreeView* m_pTreeView;
};

#endif