#ifndef _LAYERPANELTOOLHANDLER_H_
#define _LAYERPANELTOOLHANDLER_H_

class CLayer_PanelView;
class CLayer_PanelToolHandler : public IReader_PanelToolHandler
{
public:
	CLayer_PanelToolHandler(HMODULE hModule, IReader_App* pApp);
	virtual ~CLayer_PanelToolHandler();

	// Initialization
	virtual BOOL Tool_OnInit();
	// Destory
	virtual BOOL Tool_Destroy();

	virtual CString Tool_GetName();

	virtual CString	Tool_GetLabel();

	virtual CString	Tool_GetToolTip();

	// View operation
	virtual IReader_PanelView* Tool_CreateNewView(FSCRT_DOCUMENT pDocument, HWND hOwner);

	virtual IReader_PanelView* Tool_GetView(FSCRT_DOCUMENT pDocument, HWND hOwner);

	virtual void Tool_CloseView(FSCRT_DOCUMENT pDocument, HWND hOwner);

	virtual void Tool_SetActiveView(FSCRT_DOCUMENT pDocument, HWND hOwner);

	// Get tool Icon 24
	virtual HBITMAP Tool_GetIcon();

public:
	IReader_App* m_pApp;
	HMODULE m_hModule;
	CTypedPtrArray<CPtrArray, CLayer_PanelView*> m_arrayPanelView;
};

#endif