#pragma once

#include "resource.h"
#include "../FrameworkInterface/include/IAnnot.h"
#include "afxcmn.h"
#include "afxwin.h"


// CCallOutAnnotAp dialog

class CCallOutAnnotAp : public CDialogEx
{
	DECLARE_DYNAMIC(CCallOutAnnotAp)

public:
	CCallOutAnnotAp(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCallOutAnnotAp();


	void UpdateDialog(IReader_Annot* pAnnot,CWnd* pWnd);
	void GetSelFromLineStyle(FSCRT_BSTR * LineStyle,int *nSel);
	void GetLineStyleFromSel(int nSel, FSCRT_BSTR& LineStyle);
	void InitCalloutBorderstyle(int nSel,FSPDF_ANNOTBORDER &AnnotBorder);
	void EnableWindowDlg(BOOL bEnable);

	void ChangeSaveMark();

// Dialog Data
	enum { IDD = IDD_ANNOT_CALLOUT_AP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnDeltaposCalloutThicnnessSpin(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnChangeCalloutThickness();
	afx_msg void OnNMCustomdrawCalloutOpacitySlider(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnChangeCalloutOpacity();
	afx_msg void OnCbnSelchangeCalloutStartline();
	afx_msg void OnBnClickedCalloutColor();
	afx_msg void OnBnClickedCalloutFillcolor();
	afx_msg void OnCbnSelchangeCalloutBorderstyle();

public:
	CMFCButton m_Color;
	CMFCButton m_FillColor;
	CSliderCtrl m_OpacitySplider;
	int m_nOpacity;
	int m_nThickness;
	IReader_Annot* m_pAnnot;
	CWnd *m_pWnd;
	CComboBox m_StartLineCtl;
	CComboBox m_BorderStyleCtl;
	
	BOOL m_bIsFirstSet;
	
};
