#pragma once

#include "resource.h"
#include "../FrameworkInterface/include/IAnnot.h"
// CCalloutAnnotGeneral dialog

class CCalloutAnnotGeneral : public CDialogEx
{
	DECLARE_DYNAMIC(CCalloutAnnotGeneral)

public:
	CCalloutAnnotGeneral(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCalloutAnnotGeneral();


	void UpdateDialog(IReader_Annot* pAnnot,CWnd* pWnd);
	void EnableWindowDlg(BOOL bEnable);

protected:
	CString	m_strOriginalSubject;
	CString m_strOriginalAuthor;

	void	ChangeSaveMark();
// Dialog Data
	enum { IDD = IDD_ANNOT_CALLOUT_GENERAL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	IReader_Annot* m_pAnnot;
	CWnd* m_pWnd;

	DECLARE_MESSAGE_MAP()
public:
	CString m_strCalloutSubject;
	afx_msg void OnEnKillfocusCalloutSubjectEdit();
	afx_msg void OnEnKillfocusCalloutAuthorEdit();
	CString m_strCalloutAuthor;
};
