
// MainFrm.h : interface of the CMainFrame class
//
#pragma once

#define  MODULE_TOOLBAR_MENU_ID_FROM       45000 
#define  MODULE_TOOLBAR_MENU_ID_TO         45400 

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:
	BOOL LoadToolBarImageList();
	void FloatControlBar(CControlBar* pBar, CPoint point, DWORD dwStyle);

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CToolBar          m_wndToolBar;
	CStatusBar        m_wndStatusBar;

	CImageList m_ilTB;
	CImageList m_ilTBGray;
 	int m_nLastID;
// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs(); 
	afx_msg void OnFileClose();
	afx_msg void OnUpdateFileSave(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileNew(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFilePrint(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileSaveAs(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFilePrintSetup(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFilePrintPreview(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileClose(CCmdUI* pCmdUI);
	afx_msg void OnModuleMenusToolbars(UINT nID);
	afx_msg void OnUpdateModuleMenusToolbars(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMediaBox(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCropBox(CCmdUI* pCmdUI);
	afx_msg void OnUpdateTrimBox(CCmdUI* pCmdUI);
	afx_msg void OnUpdateArtBox(CCmdUI* pCmdUI);
	afx_msg void OnUpdateBleedBox(CCmdUI* pCmdUI);
	afx_msg void OnUpdateContentBoxForObject(CCmdUI* pCmdUI);
	afx_msg void OnUpdateContentBoxForImage(CCmdUI* pCmdUI);
	afx_msg void OnUpdateClearBox(CCmdUI* pCmdUI);
	afx_msg void OnUpdateZoomIn(CCmdUI* pCmdUI);
	afx_msg void OnUpdateZoomOut(CCmdUI* pCmdUI);
	afx_msg void OnClearBox();
	afx_msg void OnUpdateSetOption(CCmdUI* pCmdUI);
	afx_msg void OnSetOption();
	afx_msg void OnUpdateProperty(CCmdUI* pCmdUI);
	afx_msg void OnProperty();
	afx_msg void OnMenusPageBox(UINT nID);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
};


