#pragma once
#include "Page_Creation.h"
#include "Page_Security.h"
#include "Page_Initial_View.h"

// PropertyDlg dialog

class PropertyDlg : public CDialog
{
	DECLARE_DYNAMIC(PropertyDlg)

public:
	PropertyDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~PropertyDlg();

// Dialog Data
	enum { IDD = IDD_PROPERTYDLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()
	virtual void OnOK();
	virtual void OnCancel();
public:
//	CButton m_tab;
	CTabCtrl m_tab;
	Page_Creation m_creation;
	Page_Security m_security;
	Page_Initial_View m_initial_view;
	CDialog* m_pDialog[3];
	int m_nCurSelTab;
	CString m_csFilepath;
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeTab(NMHDR *pNMHDR, LRESULT *pResult);
};
