#pragma once

#include "resource.h"
#include "PDFDisplayView.h"
#include "MainFrm.h"
#include "ChildFrm.h"
// RenderDlg dialog

class RenderDlg : public CDialog
{
	DECLARE_DYNAMIC(RenderDlg)

public:
	RenderDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~RenderDlg();

// Dialog Data
	enum { IDD = IDD_RENDERDLG };
	BOOL m_bSetDitherBits;
	CString m_nStrBits;
	BOOL m_bSetGamma;
	BOOL m_bSetClipRect;
	BOOL m_bSetFlags;
	CString m_nStrGamma;
	BOOL m_bLCDTEXT;
	BOOL m_bGRAYSCALE;
	FS_DWORD m_nFlags;
	BOOL m_bBGRSTRIPE;
	BOOL m_bNONATIVETEXT;
	BOOL m_bUSEANTIALIAS;
	BOOL m_bTEXTGAMMA;
	CString m_nStrLeft;
	CString m_nStrTop;
	CString m_nStrRight;
	CString m_nStrBottom;
	CPDFDisplayView* m_pPDFDisplayView;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedCheckSetflags();
	afx_msg void OnBnClickedCheckSetditherbits();
	afx_msg void OnBnClickedCheckSetgamma();
	afx_msg void OnBnClickedCheckSetcliprect();
	afx_msg void OnBnClickedButtonOk();
	virtual void OnOK();
};
