﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using PDFReader_Demo_CSharp.Interface.GSDK;

namespace PDFReader_Demo_CSharp.BLLayer
{
    class Base
    {
        public static int createMgr(bool useDefMgr)
        {
            return CRTInterface.FSDK_CreateMgr(useDefMgr);
        }

        public static int unlockLibrary(string strLicenseID, string strUnlockCode)
        {
            return CRTInterface.FSDK_UnlockLibrary(strLicenseID, strUnlockCode);
        }

        public static void finalizeLibrary()
        {
            CRTInterface.FSDK_FinalizeLibrary();
        }

        public static int getLicenseType(ref int type)
        {
            return CRTInterface.FSDK_LicenseGetType(ref type);   
        }

        public static int initPDFModule()
        {
            return CRTInterface.FSDK_InitPDFModule();
        }

        public static int finalizePDFModule()
        {
            return CRTInterface.FSDK_FinalizePDFModule();
        }

        public static IntPtr openFileW_win(string strFileName)
        {
            return CRTInterface.FSDK_OpenFileW_Win(strFileName);
        }

        public static int closeFile(IntPtr file)
        {
            return CRTInterface.FSDK_CloseFile(file);
        }

        public static int setAppHander()
        {
            return CRTInterface.FSDK_SetAppHander();
        }

        public static int progressContinue(IntPtr progress)
        {
            return CRTInterface.FSDK_ProgressContinue(progress);
        }

     }
}
