#include "stdafx.h"
#include "Module.h"
#include "PanelToolHandler.h"

CBookmarkPanelTool_Module::CBookmarkPanelTool_Module(HMODULE hModule, IReader_App* pApp)
{
	m_pReaderApp = pApp;
	m_hModule = hModule;
}
CBookmarkPanelTool_Module::~CBookmarkPanelTool_Module()
{

}

void CBookmarkPanelTool_Module::Destroy()
{
	
}

CString CBookmarkPanelTool_Module::GetModuleName()
{
	return MODULE_NAME_BOOKMARKPANELTOOL;
}

IReader_Module* Reader_CreateBookmarkPanelTool(HMODULE hModule, IReader_App* pApp)
{
	CBookmarkPanelTool_Module* pModule = new CBookmarkPanelTool_Module(hModule, pApp);
	CBookmark_PanelToolHandler* pPanelToolHandler = new CBookmark_PanelToolHandler(hModule, pApp);
	pApp->RegisterPanelToolHandler(pPanelToolHandler);
	return pModule;
}