#include "stdafx.h"
#include "Module.h"
#include "PanelToolHandler.h"

CLayerPanelTool_Module::CLayerPanelTool_Module(HMODULE hModule, IReader_App* pApp)
{
	m_pReaderApp = pApp;
	m_hModule = hModule;
}
CLayerPanelTool_Module::~CLayerPanelTool_Module()
{

}

void CLayerPanelTool_Module::Destroy()
{
	
}

CString CLayerPanelTool_Module::GetModuleName()
{
	return MODULE_NAME_LAYERPANELTOOL;
}

IReader_Module* Reader_CreateLayerPanelTool(HMODULE hModule, IReader_App* pApp)
{
	CLayerPanelTool_Module* pModule = new CLayerPanelTool_Module(hModule, pApp);
	CLayer_PanelToolHandler* pPanelToolHandler = new CLayer_PanelToolHandler(hModule, pApp);
	pApp->RegisterPanelToolHandler(pPanelToolHandler);
	return pModule;
}