#include "stdafx.h"
#include "PanelView.h"
#include "TreeView.h"

CLayer_PanelView::CLayer_PanelView(IReader_App* pApp, FSCRT_DOCUMENT pDocument)
{
	m_pApp = pApp;
	m_pDocument = pDocument;
	m_pTreeView = NULL;
}

CLayer_PanelView::~CLayer_PanelView()
{

}

BOOL CLayer_PanelView::CreateTreeView(HWND hOwner)
{
	m_pTreeView = new CLayer_TreeView(m_pApp, m_pDocument);
	if(!m_pTreeView->Create(NULL, 
		L"Layer", 
		FWS_ADDTOTITLE|WS_CHILD|WS_VISIBLE|WS_TABSTOP,
		CRect(0,0,500,500), CWnd::FromHandle(hOwner),
		ID_LayerPANELTOOL_TREEVIEW))
	{
		delete m_pTreeView;
		return FALSE;
	}
	return TRUE;
}

BOOL CLayer_PanelView::DestroyTreeView()
{
	::DestroyWindow(m_pTreeView->GetSafeHwnd());
	delete m_pTreeView;
	m_pTreeView = NULL;
	return TRUE;
}

FSCRT_DOCUMENT CLayer_PanelView::GetPDFDocument()
{
	return m_pDocument;
}

//Like Add Layer.
BOOL CLayer_PanelView::AddItem()
{
	return FALSE;
}

// Quickly page locate
BOOL CLayer_PanelView::SetPos(int nPage)
{
	return FALSE;
}

HWND CLayer_PanelView::GetHwnd()
{
	if (m_pTreeView)
	{
		return m_pTreeView->GetSafeHwnd();
	}
	return NULL;
}

void CLayer_PanelView::OnPanelActive()
{

}

BOOL CLayer_PanelView::GetBDockBottom()
{
	return FALSE;
}

void CLayer_PanelView::RotateView(int nRotate)
{

}