#ifndef _LAYERPANELVIEW_H_
#define _LAYERPANELVIEW_H_

class CLayer_TreeView;
class CLayer_PanelView : public IReader_PanelView
{
public:
	CLayer_PanelView(IReader_App* pApp, FSCRT_DOCUMENT pDocument);
	virtual ~CLayer_PanelView();

	//Like Add Layer.
	virtual BOOL AddItem();

	// Quickly page locate
	virtual BOOL SetPos(int nPage);

	virtual HWND GetHwnd();

	virtual void OnPanelActive();

	virtual BOOL GetBDockBottom();

	virtual void RotateView(int nRotate);

public:
	BOOL CreateTreeView(HWND hOwner);
	BOOL DestroyTreeView();
	FSCRT_DOCUMENT GetPDFDocument();
public:
	IReader_App* m_pApp;
	FSCRT_DOCUMENT m_pDocument;
	CLayer_TreeView* m_pTreeView;
};

#endif