#pragma once


#include "resource.h"
#include "CallOutAnnotAp.h"
#include "CalloutAnnotGeneral.h"
#include "NotesAnnotAP.h"
#include "afxcmn.h"
#include "../FrameworkInterface/include/IAnnot.h"


// CAnnotPropertyDlg dialog

class CAnnotPropertyDlg : public CDialog
{
	DECLARE_DYNAMIC(CAnnotPropertyDlg)

public:
	CAnnotPropertyDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CAnnotPropertyDlg();

// Dialog Data
	enum { IDD = IDD_ANNOT_PROPERTY_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();

	void  UpdateDialog(IReader_Annot* pAnnot,CWnd* pWnd);

	void  HideAllPropertyDlg();

	void  EnableWindowDlg(BOOL bEnable);


protected:
	CCallOutAnnotAp m_CallOutAnnotAPDlg;
	CNotesAnnotAP m_NotesAPDlg;
	CCalloutAnnotGeneral  m_CallOutAnnotGEDlg;
	CCalloutAnnotGeneral  m_NotesAnnotGEdlg;
	BOOL m_bLock;
	FS_INT32 m_nSelectTab;
	CDialogEx* m_pAnnotProperty[3];
	CString m_strAnnotType;
	CTabCtrl m_AnnotPropertyTab;
	IReader_Annot* m_SelectAnnot;
public:
	
	afx_msg void OnNMThemeChangedAnnotTab(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnTcnSelchangeAnnotTab(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedAnnotCloseButton();
	afx_msg void OnBnClickedAnnotLockedCheck();
	
};
