#pragma once

#include "../FrameworkInterface/include/IAnnot.h"
#include "afxwin.h"
#include "afxcmn.h"


// CNotesAnnotAP dialog

class CNotesAnnotAP : public CDialogEx
{
	DECLARE_DYNAMIC(CNotesAnnotAP)

public:
	CNotesAnnotAP(CWnd* pParent = NULL);   // standard constructor
	virtual ~CNotesAnnotAP();

	void UpdateDialog(IReader_Annot* pAnnot,CWnd* pWnd);
	virtual BOOL OnInitDialog();
	void GetNoteStyleFromSel(int nSel, FSCRT_BSTR& NoteStyle);
	void GetSelFromNoteStyle(FSCRT_BSTR* NoteStyle,int *nSel);
	void EnableWindowDlg(BOOL bEnable);

// Dialog Data
	enum { IDD = IDD_ANNOT_TEXT_AP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedAnnotNoteFillcolor();
	afx_msg void OnNMCustomdrawAnnotNotesSlider(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnChangeAnnotTextOpacity();
	afx_msg void OnCbnSelchangeTextNotetype();

public:
	CMFCButton m_FillColorctl;
	int m_nNoteOpacity;
	CSliderCtrl m_NoteOpacitySlider;
	IReader_Annot* m_pAnnot;
	CWnd* m_pWnd;
	CComboBox m_NoteTypeCtl;
	
};
