// PropertyDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PDFReader.h"
#include "PropertyDlg.h"
#include "afxdialogex.h"
#include "MainFrm.h"
#include "PDFReaderDoc.h"
#include "PDFReaderView.h"

// PropertyDlg dialog

IMPLEMENT_DYNAMIC(PropertyDlg, CDialog)

PropertyDlg::PropertyDlg(CWnd* pParent /* = NULL*/)
	: CDialog(PropertyDlg::IDD, pParent)
{

}

PropertyDlg::~PropertyDlg()
{

}

void PropertyDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_TAB, m_tab);
}


BEGIN_MESSAGE_MAP(PropertyDlg, CDialog)
	ON_COMMAND(IDC_PROPERTY_OK, OnOK)
	ON_COMMAND(IDC_PROPERTY_CANCEL, OnCancel)
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB, &PropertyDlg::OnSelchangeTab)
END_MESSAGE_MAP()


// PropertyDlg message handlers


void PropertyDlg::OnOK()
{
	// TODO: Add your specialized code here and/or call the base class

	CDialog::OnOK();
}


void PropertyDlg::OnCancel()
{
	// TODO: Add your specialized code here and/or call the base class

	CDialog::OnCancel();
}


BOOL PropertyDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	// TODO: Add extra initialization here
	m_creation.Create(IDD_PROPERTYDLG_CREATION, this);
	m_security.Create(IDD_PROPERTYDLG_SECURITY, this);
	m_initial_view.Create(IDD_PROPERTYDLG_INITIAL_VIEW, this);
	m_pDialog[0] = &m_creation;
	m_pDialog[1] = &m_security;
	m_pDialog[2] = &m_initial_view;
	m_tab.InsertItem(0, _T("Creation"));
	m_tab.InsertItem(1, _T("Security"));
	m_tab.InsertItem(2, _T("Initial View"));
	CRect rc;
	GetClientRect(&rc);
	rc.left += 10;
	rc.top += 31;
	rc.right -= 10;
	rc.bottom -= 45;
	m_creation.MoveWindow(&rc);
	m_security.MoveWindow(&rc);
	m_initial_view.MoveWindow(&rc);
	
	m_pDialog[0]->ShowWindow(SW_SHOW);
	m_pDialog[1]->ShowWindow(SW_HIDE);
	m_pDialog[2]->ShowWindow(SW_HIDE);
	m_nCurSelTab = 0;
	return TRUE; // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}


void PropertyDlg::OnSelchangeTab(NMHDR *pNMHDR, LRESULT *pResult)
{
	// TODO: Add your control notification handler code here
	*pResult = 0;
	m_pDialog[m_nCurSelTab]->ShowWindow(SW_HIDE);
	m_nCurSelTab = m_tab.GetCurSel();
	m_pDialog[m_nCurSelTab]->ShowWindow(SW_SHOW);
}
