﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PDFReader_Demo_CSharp.Interface.GSDK.PDF;

namespace PDFReader_Demo_CSharp.BLLayer.PDF
{
    class Annot
    {
        private IntPtr m_annot = IntPtr.Zero;
        
        public Annot(IntPtr annot)
        {
            m_annot = annot;
        }
        
        public int SetAnnotProperties()
        {
            int ret = AnnotInterface.FSDK_SetAnnotProperties(m_annot);
            return ret;
        }

        public int SetAnnotBorder()
        {
            return AnnotInterface.FSDK_SetAnnotBorder(m_annot);
        }

        public int resetAp()
        {
            return AnnotInterface.FSDK_AnnotResetAP(m_annot);
        }

        public int SetHighLightAnnotProperties(float left, float top, float right, float bottom)
        {
            return AnnotInterface.FSDK_SetHighlightAnnotProperties(m_annot, left, top, right, bottom);
        }
    }
}
